# SDL Visual Test: SDLVisualTest_SUTOptionValue Union Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
SDLVisualTest_SUTOptionValue Union Reference

`#include <SDL_visualtest_variator_common.h>`

## Data Fields

SDL_bool | bool_value
struct {
int value
SDL_bool on
} | integer
struct {
int index
SDL_bool on
} | enumerated
struct {
char * value
SDL_bool on
} | string

## Detailed Description

One possible value for a command line option to the SUT.

## Field Documentation

SDL_bool bool_value

Value if the option is of type boolean

struct { ... } enumerated

Index of the string in the enum_values field of the corresponding SDLVisualTest_SUTOption object. If on is true the option will passed to the SUT, otherwise it will be ignored.

struct { ... } integer

Value if the option is of type integer. If on is true then the option will be passed to the SUT, otherwise it will be ignored.

struct { ... } string

Value if the option is of type string. If on is true the option will be passed to the SUT, otherwise it will be ignored.

The documentation for this union was generated from the following file:

- C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_variator_common.h